#!/bin/bash

## openldap服务
password=`cat /dev/urandom | tr -dc A-Za-z0-9 | head -c 12`
docker run \
   -d -p 389:389 -p 636:636 \
  --name ldap-service \
  --restart=always \
  --hostname openldap \
  -v /opt/docker-data/slapd/database:/var/lib/ldap \
  --volume /opt/docker-data/slapd/config:/etc/ldap/slapd.d \
  --env LDAP_ORGANISATION="Opsbase" \
  --env LDAP_DOMAIN="opsbase.cn" \
  --env LDAP_BASE_DN="dc=opsbase,dc=cn" \
  --env LDAP_ADMIN_PASSWORD=$password \
  osixia/openldap:latest

echo "passwod: $password" > openldap.txt
# 默认管理员账号 DN:admin.opsbase.cn

