<!--
 * @Author: admin@attacker.club
 * @Date: 2022-12-10 19:50:03
 * @LastEditTime: 2022-12-10 19:51:41
 * @Description:
-->

# docker-compose-all-one

## docker

```bash
# 一键安装Docker
curl -sSL https://get.docker.com/ | sh
```


## 二进制 docker-compose

下载版本: https://github.com/docker/compose/releases

```bash
wget https://github.com/docker/compose/releases/download/v2.14.0/docker-compose-`uname -s`-`uname -m`

mv docker-compose* /usr/local/sbin/docker-compose
chmod +x /usr/local/sbin/docker-compose
docker-compose version # 查看docker-compose版本
```

## 存储路径

```text
/data/docker
```

## 服务一键安装指令
```bash
# 拉起所有基础服务
docker-compose up -d
# 停止所有服务
docker-compose down

# 停指定服务
docker-compose  down  kafka
# 安装指定服务
docker-compose up -d mysql
```

## 服务清单

| 服务         | 连接地址                    | 账号密码                                                                             |
| ------------ | ----------------------- | -------------------------------------------------------------------------------- |
|mysql          | 端口:3306                | root/123456                                    |
|redis   | 端口:6379              |123456 |
|kafka  | 端口:9092             |- |
|kafka-manager  | 端口:9000             |- |
|elasticsearch   | 端口:9200             |- |
|elasticsearch-head   | 管理后台: http://ip:9100            |- |
|nacos  | 管理后台: http://ip:8848/nacos           |-|  
|grafana  | 管理后台: http://ip:3000         |admin/admin |  

