# configmap & secret

```bash

## 创建configmap
$ kubectl create -f cmdb-configmap.yml
## 查看configmap
$ kubectl -n test get cm
## 查看详情
kubectl -n test describe  cm  mysql-cmdb

## 创建configmap
$ kubectl apply -f cmdb-secret.yml

## 查看secret信息
$ kubectl -n test get secret
$ kubectl -n test describe secret  mysql-cmdb

## 创建和查看SSL证书
$ openssl req -x509 -nodes -days 86400 -newkey rsa:2048 -keyout tls.key -out tls.crt -subj "/CN=*.pod.opsbase.cn/O=ingress-nginx"
$ kubectl -n test create secret tls tls-pod.opsbase.cn --key tls.key --cert tls.crt
$ kubectl -n test describe secret tls-pod.opsbase.cn
$ kubectl apply -f myblog.yml
```
